Download it now!
Bug 72420 - Help button in new start center links to LO website instead of help
Summary: Help button in new start center links to LO website instead of help
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta2
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0 target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-06 21:19 UTC by Martin Srebotnjak
Modified: 2014-07-06 14:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2013-12-06 21:19:38 UTC
This means either:
- the button should be renamed to "Website"
or
- the button should link to installed/wiki help.
Comment 1 Stanislav Horacek 2013-12-06 21:33:06 UTC
Confirming, the button label is really confusing.
Comment 2 Alex Thurgood 2013-12-13 20:58:50 UTC
Also confirmed on Linux build 64bit LO 4.3 master 13/12/2013
Comment 3 Alex Thurgood 2013-12-13 21:00:37 UTC
Hi Andas,

Putting you on CC with regard to the help, although I realize that this might not be your area.


Alex
Comment 4 Commit Notification 2014-01-10 13:13:37 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=adf932c6569fe9b50883b54f8b959968188476d3

fdo#72420 Startcenter: help button point to local/wiki help, ui part



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-01-10 13:14:10 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=72d802a9eb9fb042e18ad74dc15c956a301b0462

fdo#72420 Startcenter: help button point to local/wiki help, help part



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-01-10 13:46:49 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=575bdc7ccc52b73b55f12c3d82f5b6b2750d784d&h=libreoffice-4-2

fdo#72420 Startcenter: help button point to local/wiki help, help part


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Martin Srebotnjak 2014-01-10 13:48:40 UTC
I propose the patch to this bug to be pushed to 4.2.0.3 aka 420RC3.
Thanks, m.
Comment 8 Commit Notification 2014-01-11 20:57:23 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=0f7b9d00562b8d87d1fb12bb21555907d3f0e874

fdo#72420: Startcenter: make all helpid point to startcenter's main help page



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-01-11 21:51:25 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=7d73db5cf05eb0cd0c01536667fc021367b0aa92&h=libreoffice-4-2

fdo#72420: Startcenter: make all helpid point to startcenter's main help page


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Tamás Zolnai 2014-01-11 22:11:35 UTC
(In reply to comment #7)
> I propose the patch to this bug to be pushed to 4.2.0.3 aka 420RC3.
> Thanks, m.

I pushed to gerrit for review, hopefully it will get into RC3.
Comment 11 Commit Notification 2014-01-13 10:54:39 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-0":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=ca49962e87a88c3d3bd21bed5786150aa9e40f3d&h=libreoffice-4-2-0

fdo#72420: Startcenter: make all helpid point to startcenter's main help page


It will be available already in LibreOffice 4.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-01-13 10:55:56 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=607bd3de40adf0d296affd3b5fe33cac48c9d4fd&h=libreoffice-4-2-0

fdo#72420 Startcenter: help button point to local/wiki help, ui part


It will be available already in LibreOffice 4.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2014-01-13 15:43:55 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c675ac51e5b143da03661f504d5b6e2a31180cd6&h=libreoffice-4-2

fdo#72420 Startcenter: help button point to local/wiki help, ui part


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.